Subject: Re: pci_ioremap_bar() breaks s390 build

From: Jesse Barnes <[email-masked]>
Date: Mon, 20 Oct 2008 11:12:04 -0700

On Monday, October 20, 2008 10:47 am Arjan van de Ven wrote:
> Heiko Carstens wrote:
> > Hi Arjan,
> >
> > your patch "PCI: introduce an pci_ioremap(pdev, barnr) function" breaks
> > s390:
> >
> >   CC      fs/compat_ioctl.o
> > In file included from fs/compat_ioctl.c:52:
> > include/linux/pci.h: In function 'pci_ioremap_bar':
> > include/linux/pci.h:1136: error: implicit declaration of function
> > 'ioremap_nocache' include/linux/pci.h:1137: warning: return makes pointer
> > from integer without a cast make[1]: *** [fs/compat_ioctl.o] Error 1
> > make: *** [fs] Error 2
>
> hmm does s390 have ioremap ?
> since that'd be the most useful solution, to add an ioremap_nocache().
>
> if it doesn't have ioremap.. wtf is it doing using pci.h then ??

Yeah, adding ioremap_nocache to s390 would be the simplest solution.  Would 
you like me to include such a patch as part of my pull request to Linus?

Thanks,
Jesse